curl -X GET https://app.drime.cloud/api/v1/file-entries/123456/shareable-link \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
const response = await fetch('https://app.drime.cloud/api/v1/file-entries/123456/shareable-link', {
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN'
}
});
const { link } = await response.json();
if (link) {
const shareUrl = `https://app.drime.cloud/drive/shares/${link.hash}`;
console.log('Share URL:', shareUrl);
}
import requests
response = requests.get(
'https://app.drime.cloud/api/v1/file-entries/123456/shareable-link',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'}
)
link = response.json().get('link')
if link:
print(f"Share URL: https://app.drime.cloud/drive/shares/{link['hash']}")
{
"status": "success",
"link": {
"id": 789,
"hash": "3h8N1nxZq7WtyRmXDIosFupSl9MCrD",
"user_id": 15843,
"entry_id": 123456,
"expires_at": null,
"allow_edit": false,
"allow_download": true
},
"folderChildren": []
}
{
"message": "Shareable link not found"
}
Shareable Links
Get Shareable Link
Get the shareable link for an entry
GET
/
file-entries
/
{entryId}
/
shareable-link
curl -X GET https://app.drime.cloud/api/v1/file-entries/123456/shareable-link \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
const response = await fetch('https://app.drime.cloud/api/v1/file-entries/123456/shareable-link', {
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN'
}
});
const { link } = await response.json();
if (link) {
const shareUrl = `https://app.drime.cloud/drive/shares/${link.hash}`;
console.log('Share URL:', shareUrl);
}
import requests
response = requests.get(
'https://app.drime.cloud/api/v1/file-entries/123456/shareable-link',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'}
)
link = response.json().get('link')
if link:
print(f"Share URL: https://app.drime.cloud/drive/shares/{link['hash']}")
{
"status": "success",
"link": {
"id": 789,
"hash": "3h8N1nxZq7WtyRmXDIosFupSl9MCrD",
"user_id": 15843,
"entry_id": 123456,
"expires_at": null,
"allow_edit": false,
"allow_download": true
},
"folderChildren": []
}
{
"message": "Shareable link not found"
}
Overview
Retrieves the shareable link for a file or folder, if one exists.Path Parameters
integer
required
ID or hash of the file entry
Response
object
array
If the link is for a folder, lists immediate children
string
Request status (
success)curl -X GET https://app.drime.cloud/api/v1/file-entries/123456/shareable-link \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
const response = await fetch('https://app.drime.cloud/api/v1/file-entries/123456/shareable-link', {
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN'
}
});
const { link } = await response.json();
if (link) {
const shareUrl = `https://app.drime.cloud/drive/shares/${link.hash}`;
console.log('Share URL:', shareUrl);
}
import requests
response = requests.get(
'https://app.drime.cloud/api/v1/file-entries/123456/shareable-link',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'}
)
link = response.json().get('link')
if link:
print(f"Share URL: https://app.drime.cloud/drive/shares/{link['hash']}")
{
"status": "success",
"link": {
"id": 789,
"hash": "3h8N1nxZq7WtyRmXDIosFupSl9MCrD",
"user_id": 15843,
"entry_id": 123456,
"expires_at": null,
"allow_edit": false,
"allow_download": true
},
"folderChildren": []
}
{
"message": "Shareable link not found"
}
⌘I

